# December 2024

## Get structured eBay product data

Earlier this month we launched our latest endpoint to scrape  data from Ebay product pages and receive well structured JSON.&#x20;

### <mark style="background-color:green;">**Possible use cases:**</mark>&#x20;

* Develop marketing strategies
* Data for market research
* Research on pricing trends & behaviours
* Monitor competitors
* Optimize product offering like prices

### <mark style="background-color:green;">**How does it work?**</mark>&#x20;

```
curl "https://api.scraperapi.com/structured/ebay/product?
api_key=API_KEY&country_code=COUNTRY_CODE&tld=TLD&product_id=PRODUCT_ID
```

**Input:**&#x20;

As input you need to add the Ebay product ID, which has 12 digits and you can usually find in the product URL.&#x20;

**Output:**

* **Product details** like title, ebay id, price, image urls and product specifications, like color, condition and model.&#x20;
* **Shipping information** like costs, shipping notes and return policy.&#x20;
* Product **reviews** like review count, rating count by star and actual reviews.&#x20;
* **Similar items** including information like title, url, image url and price.&#x20;
* Ebay specific information like **watchers**, product **conditions** and product **specifications**.&#x20;

&#x20;👉 Learn more in our documentation - [eBay Product Data API.](/structured-data-endpoints/e-commerce/ebay/ebay-product-api.md)

👉 Use the async method for even higher success - [Async eBay Product Data API.](/structured-data-endpoints/e-commerce/ebay/ebay-product-api-async.md)

### <mark style="background-color:green;">**Example output:**</mark>

```
  "product_id_epid": "166619046796",
  "title": "Apple AirPods Pro 2nd Generation 2023 A2968 Magsafe USB-C Charging - Excellent",
  "seller": {
    "name": "Amazing Wireless",
    "seller_url": "https://www.ebay.com/str/amazingwireless",
    "seller_reviews_count": 141910,
    "seller_review": "99.4% positive",
    "top_rated": true
  },
  "price": {
    "value": 149.99,
    "currency": "USD"
  },
  "images": [
    "https://i.ebayimg.com/images/g/rm4AAOSwPtJljzDc/s-l1600.webp",
    "https://i.ebayimg.com/images/g/WDgAAOSwr3ZljzDb/s-l140.webp",
    "https://i.ebayimg.com/images/g/RfwAAOSwaj5ljzDb/s-l140.webp"
  ],
  "available_quantity": "More than 10 available",
  "sold_items": "1,866 sold",
  "shipping_costs": {
    "value": 0
  },
  "shipping_notes": "Free 2-3 day shipping",
  "return_policy": "60 days returns. Seller pays for return shipping.",
  "condition": "Excellent - Refurbished",
  "year_manufactured": "2023",
  "brand": "Apple",
  "color": "White",
  "model": "Apple AirPods Pro (2nd generation)",
  "item_specifics": [
    {
      "label": "Seller Notes",
      "value": "“85%+ battery life. The Device is in Excellent Cosmetics. Have been Tested, 100% Functionality. Comes with Accessories.” Read Lessabout the seller notes "
    },
    {
      "label": "UPC",
      "value": "0195949052484"
    },
    {
      "label": "Form Factor",
      "value": "In-Ear Only"
    },
    {
      "label": "Type",
      "value": "Canal Earbud (In Ear Canal)"
    }
  ],
  "item_description_from_seller_url": "https://vi.vipr.ebaydesc.com/itmdesc/166619046796?t=0&category=80077&seller=amazing-wireless&excSoj=1&ver=0&excTrk=1&lsite=0&ittenable=true&domain=ebay.com&descgauge=1&cspheader=1&oneClk=2&secureDesc=1",
  "rating": 4.4,
  "review_count": 71,
  "rating_count_5stars": 55,
  "rating_count_4stars": 2,
  "rating_count_3stars": 6,
  "rating_count_2stars": 2,
  "rating_count_1star": 6,
  "easy_to_use": 84,
  "well_designed": 84,
  "good_value": 76,
  "reviews": [
    {
      "stars": 5,
      "author": " by luczama66",
      "review_date": "May 29, 2024",
      "title": "First time being an eBay buyer and was super sus about buying an airpod replacement on here. Glad i did tho because the airpod works just fine. You ca",
      "content": "First time being an eBay buyer and was super sus about buying an airpod replacement on here. Glad i did tho because the airpod works just fine. You can obviously tell it’s used bc it has small scratches but it isn’t a big deal for me. I liked how it came with written instructions on how to reset it even for different airpod generations! Worth the price too. ",
      "attrs": [
        {
          "label": "Verified purchase",
          "value": "Yes"
        },
        {
          "label": "Condition",
          "value": "Pre-Owned"
        },
        {
          "label": "Sold by",
          "value": "pezzs_inc"
        }
      ]
    }
  ],
  "similar_items": [
    {
      "title": "Apple AirPods Pro 2nd Generation with MagSafe Wireless Charging Case (USB‑C)...",
      "url": "https://www.ebay.com/itm/387434387384",
      "image_url": "https://i.ebayimg.com/thumbs/images/g/yFkAAOSwW5Zm-fel/s-l500.jpg",
      "price": {
        "value": 85,
        "currency": "USD"
      },
      "condition": "Pre-owned",
      "shipping_cost": {
        "value": 7.71,
        "currency": "USD"
      },
      "seller_feedback": "Seller with 100% positive feedback"
    },
    {
      "title": "Apple AirPods Pro 2nd Generation 2023 A2968 Magsafe USB-C Charging - SEALED",
      "url": "https://www.ebay.com/itm/176602653143",
      "image_url": "https://i.ebayimg.com/thumbs/images/g/OCUAAOSwh7Bm-clk/s-l500.jpg",
      "price": {
        "value": 174,
        "currency": "USD"
      },
      "condition": "New",
      "shipping_cost": {
        "value": 0
      },
      "watchers": 5
    }
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.scraperapi.com/resources/release-notes/december-2024.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
